QGIS Application - Bug report #4032
FTools join
2011-06-29 08:38 AM - Giuseppe Patti

Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version: Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14018
Description

When joining two vector layers with FTools, the interface throws this error:

Errore durante I'esecuzione di codice Python:

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/fTools/tools/doGeoprocessing.py", line 265, in runRangeFromThread
self.progressBar.setRange( range_vals[ 0 ], range_vals[ 1])
TypeError: QProgressBar.setRange(int, int): argument 2 has unexpected type 'long’

Versione Python:
2.6.5 (r265:79063, Apr 16 2010, 13:28:26)
[GCC 4.4.3]

By the way, result is ok, the file is correctly joined.

History

#1 - 2011-08-29 10:18 PM - Paolo Cavallini
- Pull Request or Patch supplied set to No
- Resolution set to fixed

- Status changed from Open to Resolved

This tool has been replaced by a core implementation, so the bug should no longer be valid. Please check and reopen if necessary

#2 - 2011-08-29 10:35 PM - Paolo Cavallini

- Category set to 44

#3 - 2011-09-01 05:31 AM - Giovanni Manghi
- Status changed from Resolved to Closed

#4 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
